<?php
/*

This file is used to build the individual help pages that are loaded into the popup

*/
require_once(dirname(__FILE__) . '/../componenthelper.inc.php');

$help_id = grab_request_var('helpid', 0);

$admin = file_exists(dirname(__FILE__) . '/admin') ? true : false;

if (!$admin)
    $help_file = dirname(__FILE__) . "/help_system.xml";
else
    $help_file = "http://assets.nagios.com/downloads/nagiosxi/helpsystem/helpsystem_admin.php?fullxml=true";

$xml = simplexml_load_file($help_file);
$item = null;
foreach ($xml as $struct) {
    if ($help_id == intval($struct->id)) {
        $item = $struct;
        break;
    }
}

echo "HELPID: $help_id<BR>";
echo "HELPFILE: $help_file<BR>";
//echo "XML:<BR>";
//print_r($xml);
echo "ITEM:<BR>";
print_r($item);

//title
if (!empty($item->title))
    echo "<div class='helpsystem_title'>" . $item->title . "</div>";
else
    echo "<div class='helpsystem_title'>Nagios XI Help</div>";

// videos
$total_videos = 0;
if (!empty($item->videos->video) && count($item->videos->video) > 0) {
    echo "<div id='helpsystem_video'>";
    echo "<h2>Videos</h2>";
    echo "<iframe width='480' height='360' src='' frameborder='0' allowfullscreen></iframe>";
    echo "<div><a href='#' onclick='helpsystem_return_from_video()'><p>Return</p></a></div></div>";
}

//make thumbnails
if (!empty($item->videos) && count($item->videos->video) > 0) {
    echo "<div id='helpsystem_thumbnails'>";

    foreach ($item->videos->video as $video) {
        $total_videos++;
        if (!empty($video->youtube_id)) {
            echo "<div class='helpsystem_thumbnail'><a onclick=\"help_system_load_video('" . $video->youtube_id . "')\" href='#'><img src='http://img.youtube.com/vi/" . $video->youtube_id . "/1.jpg'><br/>";
            if (!empty($video->title))
                echo $video->title;
            echo "</a></div>";
        }

    }
    echo "</div><br clear='both' />";
}

// additional documents
$total_docs = 0;
if (!empty($item->links)) {
    echo "<div id='helpsystem_resources'>";
    echo "<h2>Documentation</h2>";
    echo "<p>The following documents can provide additional information:</p>"; // replace this with text
    echo "<ul>";
    foreach ($item->links->link as $document) {
        if (!empty($document->url) && !empty($document->title)) {
            $total_docs++;
            $resources = true;
            echo "<li><a target='_blank' href='" . $document->url . "'>" . $document->title . "</a></li>";
        }
    }
    echo "</ul>";
    echo "</div>";
    echo "<br clear='both' />";
}

if ($total_docs == 0 && $total_videos == 0) {
    echo "<p>Context-sensitive help information is not yet available for this page.</p>";
    echo "<h2>Additional Support Options</h2>";
} else {
    echo "<h2>Additional Support Options</h2>";
}

echo "<div style='float: left; width: 520px;'>";
echo "<div style='float: left; width: 300px; margin-right: 15px;'>";
echo "<p><strong>Need additional help?</strong></p>";
echo "<ul>";
echo "<li>Our <a href='http://support.nagios.com/forum' target='_blank'><b>online support forum</b></a> is a great place to ask your questions.  Our knowledgeable team is eager to help you solve your problems.</li>";
echo "<li>The <a href='http://library.nagios.com' target='_blank'><b>Nagios Library</b></a> contains documentation on many aspects of using Nagios XI.</li>";
echo "<li>Our <a href='http://www.youtube.com/nagiosvideo' target='_blank'><b>YouTube channel</b></a> contains numerous tutorial videos on how to use Nagios XI.</li>";
echo "</ul>";
echo "</div>";
echo "<div style='float: left; width: 200px;'>";
echo "<img src='" . theme_image("techsupport-splash.png") . "'>";
echo "</div>";
echo "</div>";


