<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterprises, LLC
//
//  File: alert_settings.php
//  Desc: Creates the HTML for the "Alert Settings" tab in object management pages. Used in the
//        form class to output the area where everything is defined.
//
?>
    <div id="tab3">
        <h3><?php echo gettext("Alert Settings"); ?></h3> 
        <div class='rightBox'>
            <div class="ccm-row spacer">
                <div style="margin-bottom: 10px;"><a class="wideLinkBox" href="javascript:overlay('contactBox')" title="Manage Contacts"><?php echo gettext("Manage Contacts"); ?></a></div>
                <div><a class="wideLinkBox" href="javascript:overlay('contactgroupBox')" title="Manage Contactgroups"><?php echo gettext("Manage Contactgroups"); ?></a></div>
            </div>
            <div class="ccm-row">
                <label for="selNotifPeriod"><?php echo gettext("Notification period"); ?> <span class="req">*</span></label>
                <select name="selNotifPeriod" id="selNotifPeriod">
                <?php
                // Time Period options for notifications
                $selected = '';
                if (isset($FIELDS['notification_period']) && $FIELDS['notification_period'] == '0') { $selected = ' selected="selected"'; }
                echo '<option value="0"'.$selected.'>&nbsp;</option>';
                foreach ($FIELDS['selTimeperiods'] as $opt) {
                    $selected = '';
                    if (isset($FIELDS['notification_period']) && $FIELDS['notification_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                    echo '<option value="'.$opt['id'].'"'.$selected.'>'.$opt['timeperiod_name'].'</option>';
                }
                ?>
                </select>
            </div>
            <div class="ccm-row oneline">
                <label for="chbNOd"><?php echo gettext("Notification options"); ?>:</label>
                <?php
                // Host and Host Templates only
                if ($this->exactType == 'host' || $this->exactType == 'hosttemplate') {
                ?>   
                <label><input name="chbNOd" type="checkbox" class=" checkbox" id="chbNOd" value="d" <?php @check('notification_options', 'd'); ?>> d</label>
                <?php } else { ?>
                <label><input name="chbNOw" type="checkbox" class=" checkbox" id="chbNOw" value="w" <?php @check('notification_options', 'w'); ?>> w</label>
                <label><input name="chbNOc" type="checkbox" class=" checkbox" id="chbNOc" value="c" <?php @check('notification_options', 'c'); ?>> c</label>
                <?php } ?>
                <label><input name="chbNOu" type="checkbox" class=" checkbox" id="chbNOu" value="u" <?php @check('notification_options', 'u'); ?>> u</label>
                <label><input name="chbNOr" type="checkbox" class=" checkbox" id="chbNOr" value="r" <?php @check('notification_options', 'r'); ?>> r</label>
                <label><input name="chbNOf" type="checkbox" class=" checkbox" id="chbNOf" value="f" <?php @check('notification_options', 'f'); ?>> f</label>
                <label><input name="chbNOs" type="checkbox" class=" checkbox" id="chbNOs" value="s" <?php @check('notification_options', 's'); ?>> s</label>
            </div>
            <div class="ccm-row oneline">
                <label for="tfNotifInterval"><?php echo gettext("Notification interval"); ?></label> 
                <input name="tfNotifInterval" type="text" size='3' id="tfNotifInterval" value="<?php @val($FIELDS['notification_interval']); ?>"> <?php echo gettext("min"); ?> 
            </div>
            <div class="ccm-row oneline spacer">
                <label for="tfFirstNotifDelay"><?php echo gettext("First notification delay"); ?></label>
                <input name="tfFirstNotifDelay" type="text" size='3' id="tfFirstNotifDelay" value="<?php @val($FIELDS['first_notification_delay']); ?>"> <?php echo gettext("min"); ?>
            </div>
        </div>
        <div class='rightBox'>   
            <div class="ccm-row">
                <label for="radNotifEnabled1"><?php echo gettext("Notification enabled"); ?>:</label>
                <div>
                    <label><input name="radNotifEnabled" type="radio" class="checkbox" id="radNotifEnabled1" value="1" <?php @check('notifications_enabled', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radNotifEnabled" type="radio" class="checkbox" id="radNotifEnabled0" value="0" <?php @check('notifications_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radNotifEnabled" type="radio" class="checkbox" id="radNotifEnabled2" value="2" <?php @check('notifications_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radNotifEnabled" type="radio" class="checkbox" id="radNotifEnabled3" value="3" <?php @check('notifications_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
            <div class="ccm-row">
                <label for="chbSTo"><?php echo gettext("Stalking options"); ?>: </label>
                <div>
                    <?php
                    // Host or Host Template only
                    if ($this->exactType == 'host' || $this->exactType == 'hosttemplate') {
                    ?>
                    <label><input name="chbSTd" type="checkbox" class=" checkbox" id="chbSTd" value="d" <?php @check('stalking_options', 'd'); ?>> d</label>
                    <?php } else { ?>
                    <label><input name="chbSTw" type="checkbox" class=" checkbox" id="chbSTw" value="w" <?php @check('stalking_options', 'w'); ?>> w</label>
                    <label><input name="chbSTc" type="checkbox" class=" checkbox" id="chbSTc" value="c" <?php @check('stalking_options', 'c'); ?>> c</label>
                    <?php } ?>
                    <label><input name="chbSTo" type="checkbox" class=" checkbox" id="chbSTo" value="o" <?php @check('stalking_options', 'o'); ?>> o</label> 
                    <label><input name="chbSTu" type="checkbox" class=" checkbox" id="chbSTu" value="u" <?php @check('stalking_options', 'u'); ?>> u</label>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Tab 3 -->